Get Reconciliation
Fetch details of a specific reconciliation record.
/reconciliation/:reconciliation_id
GET https://api.terminal.africa/v1/reconciliation/:reconciliation_id
This endpoint allows you to retrieve a single reconciliation record by its id.
Path Parameters
Name
Type
Description
reconciliation_id*
String
Unique reconcilliation_id of the record.
Headers
Name
Type
Description
Authorization*
String
Set value to Bearer SECRET_KEY
Content-Type
String
Set value to application/json
{
"status": true,
"message": "Reconciliation retrieved successfully",
"data": {
"reconcilliation_id": "RC-5WJN0PA3HC62LTEY",
"shipment_id": "SH-02314736509",
"platform": "ups",
"reconciliation_stage": "invoice",
"charge_type": "additional_charge",
"total_old_shipment_cost": 0,
"total_new_shipment_cost": 0,
"total_exception_charge": 6480.25,
"additional_charge": {
"category": "remote_area",
"label": "Remote area delivery",
"description": "DELIVERY AREA SURCHARGE - EXTENDED",
"carrier_name": "UPS",
"carrier_amount": 4.15,
"carrier_currency": "USD",
"fx_rate_to_ngn": 1561.5,
"fx_date": "2026-09-04"
},
"charge_after": "2026-09-18T00:00:00.000Z",
"descripancy_challenged": false,
"billing_skipped": false,
"is_charged": false,
"charged_at": null,
"transaction_id": "",
"reversal_transaction_id": "",
"voided": false,
"voided_at": null,
"shipment_data": [
{
"shipment_id": "SH-02314736509",
"shipment_number": "1Z8R7V090392847561",
"carrierName": "UPS",
"platform": "ups",
"declared_weight": 5,
"actual_weight": 5,
"old_shipment_cost": 0,
"new_shipment_cost": 0,
"exception_charge": 6480.25,
"tracking_only": false,
"reconciliation_stage": "invoice"
}
],
"created_at": "2026-09-11T10:41:07.220Z",
"updated_at": "2026-09-11T10:41:07.220Z"
}
}Was this helpful?